Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.projection
Class ChildDocument

    java.lang.Object
      org.eclipse.jface.text.AbstractDocument
          org.eclipse.jface.text.projection.ProjectionDocument
              org.eclipse.jface.text.projection.ChildDocument

All Implemented Interfaces:
  IDocument, IDocumentExtension, IDocumentExtension2, IDocumentExtension3, IRepairableDocument

public class ChildDocument
extends ProjectionDocument

Implementation of a child document based on `ProjectionDocument`. This class exists for compatibility reasons.

Internal class. This class is not intended to be used by clients.

Since:
  3.0

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.text.IDocumentExtension
`IDocumentExtension.IReplace`

Field Summary

Fields inherited from interface org.eclipse.jface.text.IDocument
`DEFAULT_CATEGORY, DEFAULT_CONTENT_TYPE`

Fields inherited from interface org.eclipse.jface.text.IDocumentExtension3
`DEFAULT_PARTITIONING`

Constructor Summary
`ChildDocument(IDocument masterDocument)` Creates a new child document.

Method Summary
`IDocument` | `getParentDocument()` Returns the parent document of this child document.
`Position` | `getParentDocumentRange()` Returns the parent document range of this child document.
`void` | `setParentDocumentRange(int offset, int length)` Sets the parent document range covered by this child document to the given range.

Methods inherited from class org.eclipse.jface.text.projection.ProjectionDocument
`adaptProjectionToMasterChange, addMasterDocumentRange, computeProjectedMasterRegions, computeUnprojectedMasterRegions, dispose, fireDocumentAboutToBeChanged, fireDocumentChanged, getFragments, getMasterDocument, getProjectionMapping, getSegments, isUpdating, masterDocumentAboutToBeChanged, masterDocumentChanged, registerPostNotificationReplace, removeMasterDocumentRange, replace, replaceMasterDocumentRanges, set, setAutoExpandMode, updateDocumentStructures`

Methods inherited from class org.eclipse.jface.text.AbstractDocument
`acceptPostNotificationReplaces, addDocumentListener, addDocumentPartitioningListener, addPosition, addPosition, addPositionCategory, addPositionUpdater, addPrenotifiedDocumentListener, completeInitialization, computeIndexInCategory, computeIndexInPositionList, computeNumberOfLines, computePartitioning, computePartitioning, containsPosition, containsPositionCategory, doFireDocumentChanged, doFireDocumentChanged, doFireDocumentChanged2, fireDocumentPartitioningChanged, fireDocumentPartitioningChanged, fireDocumentPartitioningChanged, get, get, getChar, getContentType, getContentType, getDocumentListeners, getDocumentManagedPositions, getDocumentPartitioner, getDocumentPartitioner, getDocumentPartitioningListeners, getLegalContentTypes, getLegalContentTypes, getLegalLineDelimiters, getLength, getLineDelimiter, getLineInformation, getLineInformationOfOffset, getLineLength, getLineOffset, getLineOfOffset, getNumberOfLines, getNumberOfLines, getPartition, getPartition, getPartitionings, getPositionCategories, getPositions, getPositionUpdaters, getStore, getTracker, ignorePostNotificationReplaces, insertPositionUpdater, removeDocumentListener, removeDocumentPartitioningListener, removePosition, removePosition, removePositionCategory, removePositionUpdater, removePrenotifiedDocumentListener, repairLineInformation, resumeListenerNotification, resumePostNotificationProcessing, search, setDocumentPartitioner, setDocumentPartitioner, setLineTracker, setTextStore, startSequentialRewrite, stopListenerNotification, stopPostNotificationProcessing, stopSequentialRewrite, updatePositions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChildDocument

    public ChildDocument(IDocument masterDocument)

  Creates a new child document.

Parameters:
  `masterDocument` - @inheritDoc

Method Detail

### getParentDocument

    public IDocument getParentDocument()

  Returns the parent document of this child document.

  Returns:
    the parent document of this child document
  See Also:
    `ProjectionDocument.getMasterDocument()`

### setParentDocumentRange

    public void setParentDocumentRange(int offset,
                                       int length)
                                throws BadLocationException

  Sets the parent document range covered by this child document to the given range.

  Parameters:
    `offset` - the offset of the range
    `length` - the length of the range
  Throws:
    `BadLocationException` - if the given range is not valid

### getParentDocumentRange

    public Position getParentDocumentRange()

  Returns the parent document range of this child document.

  Returns:
    the parent document range of this child document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.